# Generated by Django 3.2.14 on 2023-04-19 11:07

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0109_profile_feature'),
        ('document', '0110_auto_20230404_1250'),
    ]

    operations = [
        migrations.CreateModel(
            name='FireReportSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('po_status_crm_ids', django.contrib.postgres.fields.ArrayField(base_field=models.IntegerField(), default=list, size=None)),
                ('receiver_email_ids', django.contrib.postgres.fields.ArrayField(base_field=models.EmailField(max_length=254), default=list, size=None)),
                ('subject', models.CharField(max_length=250, null=True)),
                ('frequency', models.CharField(choices=[('DAILY', 'DAILY'), ('WEEKLY', 'WEEKLY'), ('MONTHLY', 'MONTHLY'), ('YEARLY', 'YEARLY'), ('NEVER', 'NEVER')], max_length=15)),
                ('date_range', models.CharField(choices=[('LAST_30_DAYS', 'LAST_30_DAYS'), ('LAST_60_DAYS', 'LAST_60_DAYS'), ('LAST_90_DAYS', 'LAST_90_DAYS'), ('LAST_180_DAYS', 'LAST_180_DAYS')], max_length=15)),
                ('next_run', models.DateTimeField(null=True)),
                ('provider', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='fire_report_setting', to='accounts.provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FireReportPartnerSite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=50)),
                ('address_line_1', models.CharField(max_length=50, null=True)),
                ('address_line_2', models.CharField(max_length=50, null=True)),
                ('city', models.CharField(max_length=50, null=True)),
                ('state', models.CharField(max_length=100, null=True)),
                ('state_crm_id', models.PositiveIntegerField(null=True)),
                ('country', models.CharField(max_length=100, null=True)),
                ('country_crm_id', models.PositiveIntegerField(null=True)),
                ('zip', models.CharField(max_length=10, null=True)),
                ('phone_number', models.CharField(max_length=15, null=True)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='fire_report_partner_sites', to='accounts.provider')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
